Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.helper
Class HashSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              org.maltparser.core.helper.HashSet<E>

Type Parameters:
  `E` - the element type

All Implemented Interfaces:
  Serializable, Iterable<E>, Collection<E>, Set<E>

    public class HashSet<E>

extends AbstractSet<E>
implements Serializable

A memory-efficient hash set.

See Also:
  Serialized Form

Constructor Summary
`HashSet()`
`HashSet(Collection<? extends E> c)`

Method Summary
`boolean` | `add(E e)`
`boolean` | `addAll(Collection<? extends E> c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`protected void` | `doReadObject(ObjectInputStream in)` Adapted from org.apache.commons.collections.map.AbstractHashedMap.
`protected void` | `doWriteObject(ObjectOutputStream out)` Adapted from org.apache.commons.collections.map.AbstractHashedMap.
`protected boolean` | `itemEquals(Object a, Object b)` Returns whether two items are equal for the purposes of this set.
`protected int` | `itemHashCode(Object o)` Return the hashCode for an item.
`Iterator<E>` | `iterator()`
`boolean` | `remove(Object o)`
`int` | `size()`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, retainAll, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`containsAll, isEmpty, retainAll`

Constructor Detail

### HashSet

    public HashSet()

### HashSet

    public HashSet(Collection<? extends E> c)

Method Detail

### add

    public boolean add(E e)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `Set<E>`
  Overrides:
    `add` in class `AbstractCollection<E>`

### addAll

    public boolean addAll(Collection<? extends E> c)

  Specified by:
    `addAll` in interface `Collection<E>`
  Specified by:
    `addAll` in interface `Set<E>`
  Overrides:
    `addAll` in class `AbstractCollection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`
  Specified by:
    `clear` in interface `Set<E>`
  Overrides:
    `clear` in class `AbstractCollection<E>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<E>`
  Specified by:
    `contains` in interface `Set<E>`
  Overrides:
    `contains` in class `AbstractCollection<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`
  Specified by:
    `iterator` in interface `Set<E>`
  Specified by:
    `iterator` in class `AbstractCollection<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `Set<E>`
  Overrides:
    `remove` in class `AbstractCollection<E>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<E>`
  Specified by:
    `size` in interface `Set<E>`
  Specified by:
    `size` in class `AbstractCollection<E>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `Set<E>`
  Overrides:
    `toArray` in class `AbstractCollection<E>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `Set<E>`
  Overrides:
    `toArray` in class `AbstractCollection<E>`

### doReadObject

    protected void doReadObject(ObjectInputStream in)
                         throws IOException,
                                ClassNotFoundException

  Adapted from org.apache.commons.collections.map.AbstractHashedMap.

  Throws:
    `IOException`
    `ClassNotFoundException`

### doWriteObject

    protected void doWriteObject(ObjectOutputStream out)
                          throws IOException

  Adapted from org.apache.commons.collections.map.AbstractHashedMap.

  Throws:
    `IOException`

### itemEquals

    protected boolean itemEquals(Object a,
                                 Object b)

  Returns whether two items are equal for the purposes of this set.

### itemHashCode

    protected int itemHashCode(Object o)

  Return the hashCode for an item.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.